Runtime

## org.eclipse.gmf.runtime.notation
Interface FontStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  Shape, ShapeStyle

All Known Implementing Classes:
  FontStyleImpl, ShapeImpl, ShapeStyleImpl

    public interface FontStyle

extends Style

A representation of the model object 'Font Style'.

The font style is a style to be installed on views with text

The following features are supported:

- `Font Color`
- `Font Name`
- `Font Height`
- `Bold`
- `Italic`
- `Underline`
- `Strike Through`

See Also:
  `NotationPackage.getFontStyle()`
** Generated **
Model:

Method Summary
`int` `getFontColor()` Returns the value of the 'Font Color' attribute.
`int` `getFontHeight()` Returns the value of the 'Font Height' attribute.
`java.lang.String` `getFontName()` Returns the value of the 'Font Name' attribute.
`boolean` `isBold()` Returns the value of the 'Bold' attribute.
`boolean` `isItalic()` Returns the value of the 'Italic' attribute.
`boolean` `isStrikeThrough()` Returns the value of the 'Strike Through' attribute.
`boolean` `isUnderline()` Returns the value of the 'Underline' attribute.
`void` `setBold(boolean value)` Sets the value of the '`Bold`' attribute
`void` `setFontColor(int value)` Sets the value of the '`Font Color`' attribute
`void` `setFontHeight(int value)` Sets the value of the '`Font Height`' attribute
`void` `setFontName(java.lang.String value)` Sets the value of the '`Font Name`' attribute
`void` `setItalic(boolean value)` Sets the value of the '`Italic`' attribute
`void` `setStrikeThrough(boolean value)` Sets the value of the '`Strike Through`' attribute
`void` `setUnderline(boolean value)` Sets the value of the '`Underline`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFontName

    java.lang.String getFontName()

  Returns the value of the 'Font Name' attribute. The default value is `"Tahoma"`.

  The fontName property specified the font typeface name

  Returns:
    the value of the 'Font Name' attribute.
  See Also:
    `setFontName(String)`, `NotationPackage.getFontStyle_FontName()`
  ** Generated **
  Model:
    default="Tahoma"

### setFontName

    void setFontName(java.lang.String value)

  Sets the value of the '`Font Name`' attribute.

  The fontName property specifies the font typeface name

  Parameters:
    `value` - the new value of the 'Font Name' attribute.
  See Also:
    `getFontName()`
  ** Generated **

### getFontHeight

    int getFontHeight()

  Returns the value of the 'Font Height' attribute. The default value is `"9"`.

  The fontHeight property specifies the font size

  Returns:
    the value of the 'Font Height' attribute.
  See Also:
    `setFontHeight(int)`, `NotationPackage.getFontStyle_FontHeight()`
  ** Generated **
  Model:
    default="9"

### setFontHeight

    void setFontHeight(int value)

  Sets the value of the '`Font Height`' attribute. The fontHeight property specifies the font size

  Parameters:
    `value` - the new value of the 'Font Height' attribute.
  See Also:
    `getFontHeight()`
  ** Generated **

### isBold

    boolean isBold()

  Returns the value of the 'Bold' attribute. The default value is `"false"`.

  Returns:
    the value of the 'Bold' attribute.
  See Also:
    `setBold(boolean)`, `NotationPackage.getFontStyle_Bold()`
  ** Generated **
  Model:
    default="false"

### setBold

    void setBold(boolean value)

  Sets the value of the '`Bold`' attribute.

  Parameters:
    `value` - the new value of the 'Bold' attribute.
  See Also:
    `isBold()`
  ** Generated **

### isItalic

    boolean isItalic()

  Returns the value of the 'Italic' attribute. The default value is `"false"`.

  Returns:
    the value of the 'Italic' attribute.
  See Also:
    `setItalic(boolean)`, `NotationPackage.getFontStyle_Italic()`
  ** Generated **
  Model:
    default="false"

### setItalic

    void setItalic(boolean value)

  Sets the value of the '`Italic`' attribute.

  Parameters:
    `value` - the new value of the 'Italic' attribute.
  See Also:
    `isItalic()`
  ** Generated **

### isUnderline

    boolean isUnderline()

  Returns the value of the 'Underline' attribute. The default value is `"false"`.

  Returns:
    the value of the 'Underline' attribute.
  See Also:
    `setUnderline(boolean)`, `NotationPackage.getFontStyle_Underline()`
  ** Generated **
  Model:
    default="false"

### setUnderline

    void setUnderline(boolean value)

  Sets the value of the '`Underline`' attribute.

  Parameters:
    `value` - the new value of the 'Underline' attribute.
  See Also:
    `isUnderline()`
  ** Generated **

### isStrikeThrough

    boolean isStrikeThrough()

  Returns the value of the 'Strike Through' attribute. The default value is `"false"`.

  Returns:
    the value of the 'Strike Through' attribute.
  See Also:
    `setStrikeThrough(boolean)`, `NotationPackage.getFontStyle_StrikeThrough()`
  ** Generated **
  Model:
    default="false"

### setStrikeThrough

    void setStrikeThrough(boolean value)

  Sets the value of the '`Strike Through`' attribute.

  Parameters:
    `value` - the new value of the 'Strike Through' attribute.
  See Also:
    `isStrikeThrough()`
  ** Generated **

### getFontColor

    int getFontColor()

  Returns the value of the 'Font Color' attribute. The default value is `"0"`.

  The font color is the color used in painting the texts inside node visuals

  Returns:
    the value of the 'Font Color' attribute.
  See Also:
    `setFontColor(int)`, `NotationPackage.getFontStyle_FontColor()`
  ** Generated **
  Model:
    default="0"

### setFontColor

    void setFontColor(int value)

  Sets the value of the '`Font Color`' attribute.

  The font color is the color used in painting the texts inside node visuals

  Parameters:
    `value` - the new value of the 'Font Color' attribute.
  See Also:
    `getFontColor()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.